export declare type Deferred<T = any> = Promise<T> & {
    id: string;
    resolve: () => void;
};
export declare const defer: <T = any>(value: T, id: string) => Deferred<T>;
export declare const delay: (milliseconds?: number) => Promise<unknown>;
